Subject: Re: git-commit fatal: Out of memory? mmap failed: Bad file descriptor

From: Charles Bailey <[email-masked]>
Date: Fri, 11 Jan 2008 22:18:32 +0000

Brandon Casey wrote:
> I got this message from git-commit:
> 
> $ git commit -a
> <edit message, :wq>
> fatal: Out of memory? mmap failed: Bad file descriptor
> Create commit <my_prompt_string>
> 
> The exit status was 128.
> Looks like the commit was successful though.
> The partial message 'Create commit ' comes from print_summary()
> in builtin-commit.c which is _after_ the actual commit.
> 
> $ git --version
> git version 1.5.4.rc2.84.gf85fd-dirty
> 
> It was compiled with NO_CURL=1. The dirtiness comes from the
> patches I submitted for relink earlier today.
> 
> The other possible clue is that this repo is on NFS.
> 
> -brandon

I have seen this exact type of failure (commit reports possible 
oom, but commit appears to have succeeded) with most recent gits.

I had assumed that it was because I was using a very large 
repository (experimenting with using git for general backup 
purposes) on a machine with not too much memory.

Perhaps there's a real bug in here somewhere after all.

Charles.